//------------------------------------------------------------------------------
// <copyright file=”*.cs” company=”EhLib Team”>
//     Copyright (c) 2017 Dmitry V. Bolshakov   
// </copyright>
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Globalization;
using System.Windows.Forms;
using System.Windows.Forms.VisualStyles;

namespace EhLib
{

  [DataAxisGridPropBarDesignTimeVisibleAttribute(true)]
  public class DataGridTextColumn : DataGridMonoCellColumn
  {
    public DataGridTextColumn()
    {

    }

    #region Properties
    [Browsable(false)]
    public new DataAxisGridTextDataCell DataCell
    {
      get { return (DataAxisGridTextDataCell)base.DataCell; }
    }

    [DefaultValue(DataGridTextWrapMode.Auto)]
    public DataGridTextWrapMode WrapMode
    {
      get { return DataCell.WrapMode; }
      set { DataCell.WrapMode = value; }
    }

    [DefaultValue(false)]
    public bool CellDataIsLink
    {
      get { return DataCell.CellDataIsLink; }
      set { DataCell.CellDataIsLink = value; }
    }
    #endregion

    #region methods
    protected override DataAxisGridDataCellMan CreateTemplateCell()
    {
      return new DataAxisGridTextDataCell();
    }
    #endregion

  }

}
